construct_data_1d2d
Applications » Transforms in magnetic resonance imaging » 3D transforms
Collaboration diagram for construct_data_1d2d:

## Functions

static void | construct (char *file, int N, int M, int Z, fftw_complex *mem)
| construct makes an 2d-nfft for every slice
static void | fft (int N, int M, int Z, fftw_complex *mem)
| fft makes an 1D-ftt for every knot through all layers
static void | read_data (int N, int M, int Z, fftw_complex *mem)
| read fills the memory with the file input_data_f.dat as the real part of f and with zeros for the imag part of f
int | main (int argc, char **argv)

## Detailed Description

## Function Documentation

## construct()

void construct | ( | char * | file,
|  | int | N,
|  | int | M,
|  | int | Z,
|  | fftw_complex * | mem )

static

construct makes an 2d-nfft for every slice

Definition at line 37 of file construct_data_2d1d.c.

References nfft_finalize(), nfft_init_2d(), nfft_precompute_psi(), nfft_trafo(), and PRE_PSI.

## fft()

void fft | ( | int | N,
|  | int | M,
|  | int | Z,
|  | fftw_complex * | mem )

static

fft makes an 1D-ftt for every knot through all layers

Definition at line 83 of file construct_data_2d1d.c.

## read_data()

void read_data | ( | int | N,
|  | int | M,
|  | int | Z,
|  | fftw_complex * | mem )

static

read fills the memory with the file input_data_f.dat as the real part of f and with zeros for the imag part of f

Definition at line 101 of file construct_data_2d1d.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 119 of file construct_data_2d1d.c.